com.mysql.jdbc

## Class CachedResultSetMetaData

- java.lang.Object
- - com.mysql.jdbc.CachedResultSetMetaData

    public class CachedResultSetMetaData
    extends java.lang.Object

### Field Summary

Fields
`(package private) java.util.Map<java.lang.String,java.lang.Integer>` `columnNameToIndex` Map column names (and all of their permutations) to column indices
`(package private) Field[]` `fields` Cached Field info
`(package private) java.util.Map<java.lang.String,java.lang.Integer>` `fullColumnNameToIndex` Map of fully-specified column names to column indices
`(package private) java.sql.ResultSetMetaData` `metadata` Cached ResultSetMetaData

### Constructor Summary

Constructors
Constructor and Description
`CachedResultSetMetaData()`

### Method Summary

Methods
`java.util.Map<java.lang.String,java.lang.Integer>` `getColumnNameToIndex()`
`Field[]` `getFields()`
`java.util.Map<java.lang.String,java.lang.Integer>` `getFullColumnNameToIndex()`
`java.sql.ResultSetMetaData` `getMetadata()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### columnNameToIndex

    java.util.Map<java.lang.String,java.lang.Integer> columnNameToIndex

Map column names (and all of their permutations) to column indices

#### fields

    Field[] fields

Cached Field info

#### fullColumnNameToIndex

    java.util.Map<java.lang.String,java.lang.Integer> fullColumnNameToIndex

Map of fully-specified column names to column indices

#### metadata

    java.sql.ResultSetMetaData metadata

Cached ResultSetMetaData

### Constructor Detail

#### CachedResultSetMetaData

    public CachedResultSetMetaData()

### Method Detail

#### getColumnNameToIndex

    public java.util.Map<java.lang.String,java.lang.Integer> getColumnNameToIndex()

#### getFields

    public Field[] getFields()

#### getFullColumnNameToIndex

    public java.util.Map<java.lang.String,java.lang.Integer> getFullColumnNameToIndex()

#### getMetadata

    public java.sql.ResultSetMetaData getMetadata()